<template>
    <div id="genres">
        <h5>  </h5>
        <div class="card mt-4">
            {{selectedBook.title}}
                <br>
            {{selectedBook.author}}
                <br>
            {{selectedBook.year}}
                <br>
        <div class="card mt-4">
            {{selectedBook.resume}}
        </div>
        </div>
    </div>
</template>

<script>
import axios from 'axios'
const BOOKS_API_ENDPOINT = "http://localhost:3000/books"

export default {
  name: 'bookDetails',
  data:()=>({
    selectedBook:{}
  }),
  methods:{
    async fetchOneBook(bookId){
        let oneBook = await axios.get(`${BOOKS_API_ENDPOINT}/${bookId}`)
        this.selectedBook = oneBook.data
    },
  },
  async created(){
    let {bookId} = this.$route.params;
    await this.fetchOneBook(bookId)
  },
 
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
